<template>
	<div class="row d-flex align-items-center">
		<div class="col-6">
			<h3>
				Новая задача
			</h3>
		</div>
		<div class="col-6 d-flex justify-content-end">
			<a-button-group>
		      <a-button type="primary" icon="arrow-left" @click="$router.push({ name: 'TasksPage' })">Назад</a-button>
		    </a-button-group>
		</div>
		<div class="col-12 mb-3">
			<a-form @submit="handleSubmit" :autoFormCreate="(form)=>{this.form = form}">
			    <a-form-item
			      label='Note'
			      :labelCol="{ span: 5 }"
			      :wrapperCol="{ span: 12 }"
			      fieldDecoratorId="note"
			      :fieldDecoratorOptions="{rules: [{ required: true, message: 'Please input your note!' }]}"
			    >
			      <a-input />
			    </a-form-item>
			    <a-form-item
			      label='Gender'
			      :labelCol="{ span: 5 }"
			      :wrapperCol="{ span: 12 }"
			      fieldDecoratorId="gender"
			      :fieldDecoratorOptions="{rules: [{ required: true, message: 'Please select your gender!' }]}"
			    >
			      <a-select
			        placeholder='Select a option and change input text above'
			        @change="this.handleSelectChange"
			      >
			        <a-select-option value='male'>male</a-select-option>
			        <a-select-option value='female'>female</a-select-option>
			      </a-select>
			    </a-form-item>
			    <a-form-item
			      :wrapperCol="{ span: 12, offset: 5 }"
			    >
			      <a-button type='primary' htmlType='submit'>
			        Submit
			      </a-button>
			    </a-form-item>
			</a-form>
		</div>
	</div>
</template>

<script type="text/javascript">
	import moment from 'moment';
	import 'moment/locale/ru';

	export default {
		data () {
			return {
				formLayout: 'horizontal',
				dateFormat: 'YYYY-MM-DD',
				task: {
					date: '',
					title: '',
					description: ''
				}
			}
		},
		methods: {
			onDateChange(date, dateString) {
		      this.task.date = dateString;
		    },
		    prepareData () {
		    	if (this.task.date === '') {
		    		this.$message.error('Выберите дату');
		    		return false;
		    	}
		    },
		    handleSubmit (e) {
		      e.preventDefault()
		      this.form.validateFields((err, values) => {
		        if (!err) {
		          console.log('Received values of form: ', values)
		        }
		      })
		    },
		    handleSelectChange (value) {
		      console.log(value)
		      this.form.setFieldsValue({
		        note: `Hi, ${value === 'male' ? 'man' : 'lady'}!`,
		      })
		    },
		}
	}
</script>